/*  _____ _
 * |_   _| |_  _ _ ___ ___ _ __  __ _
 *   | | | ' \| '_/ -_) -_) '  \/ _` |_
 *   |_| |_||_|_| \___\___|_|_|_\__,_(_)
 *
 * Threema for Android
 * Copyright (c) 2024 Threema GmbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License, version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

package ch.threema.app.compose.theme.color

import androidx.compose.ui.graphics.Color

object ColorsLight : ComposeColorPaletteLight() {
    override val primary = Color(0xFF05A63F)
    override val onPrimary = Color(0xFFFFFFFF)
    override val primaryContainer = Color(0xFFBCEECA)
    override val onPrimaryContainer = Color(0xFF002106)
    override val secondary = Color(0xFF526350)
    override val onSecondary = Color(0xFFFFFFFF)
    override val secondaryContainer = Color(0xFFE8F6EA)
    override val onSecondaryContainer = Color(0xFF101F10)
    override val tertiary = Color(0xFF04370E)
    override val onTertiary = Color(0xFFFFFFFF)
    override val tertiaryContainer = Color(0xFFBCEBF2)
    override val onTertiaryContainer = Color(0xFF001F23)
    override val error = Color(0xFFBA1A1A)
    override val onError = Color(0xFFFFFFFF)
    override val errorContainer = Color(0xFFFFDAD6)
    override val onErrorContainer = Color(0xFF410002)
    override val background = Color(0xFFFEFFFE)
    override val onBackground = Color(0xFF1A1C19)
    override val surface = Color(0xFFFEFFFE)
    override val onSurface = Color(0xFF1A1C19)
    override val surfaceVariant = Color(0xFFE0E4DD)
    override val onSurfaceVariant = Color(0xFF424940)
    override val outline = Color(0xFF72796F)
    override val outlineVariant = Color(0xFFC4C8C1)
    override val scrim = Color(0xFF000000)
    override val inverseSurface = Color(0xFF2F312D)
    override val inverseOnSurface = Color(0xFFF0F1EB)
    override val inversePrimary = Color(0xFF009C32)
}
