/*  _____ _
 * |_   _| |_  _ _ ___ ___ _ __  __ _
 *   | | | ' \| '_/ -_) -_) '  \/ _` |_
 *   |_| |_||_|_| \___\___|_|_|_\__,_(_)
 *
 * Threema for Android
 * Copyright (c) 2024 Threema GmbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License, version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

package ch.threema.app.compose.theme.color

import androidx.compose.ui.graphics.Color

object ColorsDark : ComposeColorPaletteDark() {

    override val primary = Color(0xFFFFB5A0)
    override val onPrimary = Color(0xFF850005)
    override val primaryContainer = Color(0xFF872100)
    override val onPrimaryContainer = Color(0xFFFFDAD5)
    override val secondary = Color(0xFFE7B7AA)
    override val onSecondary = Color(0xFF211D1C)
    override val secondaryContainer = Color(0xFF49403E)
    override val onSecondaryContainer = Color(0xFFF1DDD7)
    override val tertiary = Color(0xFFE5BB93)
    override val onTertiary = Color(0xFF3F2A04)
    override val tertiaryContainer = Color(0xFFC05D33)
    override val onTertiaryContainer = Color(0xFFFFD2AF)
    override val error = Color(0xFFFFB4AB)
    override val onError = Color(0xFF690005)
    override val errorContainer = Color(0xFF93000A)
    override val onErrorContainer = Color(0xFFFFDAD6)
    override val background = Color(0xFF111111)
    override val onBackground = Color(0xFFEDE0DE)
    override val surface = Color(0xFF111111)
    override val onSurface = Color(0xFFEDE0DE)
    override val surfaceVariant = Color(0xFF534341)
    override val onSurfaceVariant = Color(0xFFD8C2BF)
    override val outline = Color(0xFFA08C8A)
    override val outlineVariant = Color(0xFF534341)
    override val scrim = Color(0xFF000000)
    override val inverseSurface = Color(0xFFEDE0DE)
    override val inverseOnSurface = Color(0xFF201A19)
    override val inversePrimary = Color(0xFFB6241F)
}
