/*  _____ _
 * |_   _| |_  _ _ ___ ___ _ __  __ _
 *   | | | ' \| '_/ -_) -_) '  \/ _` |_
 *   |_| |_||_|_| \___\___|_|_|_\__,_(_)
 *
 * Threema for Android
 * Copyright (c) 2024 Threema GmbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License, version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

package ch.threema.app.compose.theme.color

import androidx.compose.ui.graphics.Color

object ColorsDark : ComposeColorPaletteDark() {

    override val primary = Color(0xFFA4C8FF)
    override val onPrimary = Color(0xFF00315E)
    override val primaryContainer = Color(0xFF004784)
    override val onPrimaryContainer = Color(0xFFD4E3FF)
    override val secondary = Color(0xFFBCC7DC)
    override val onSecondary = Color(0xFF263141)
    override val secondaryContainer = Color(0xFF3D434E)
    override val onSecondaryContainer = Color(0xFFDAE1EF)
    override val tertiary = Color(0xFFD9BDE2)
    override val onTertiary = Color(0xFF3D2946)
    override val tertiaryContainer = Color(0xFF543F5E)
    override val onTertiaryContainer = Color(0xFFF6D9FF)
    override val error = Color(0xFFFFB4AB)
    override val onError = Color(0xFF690005)
    override val errorContainer = Color(0xFF93000A)
    override val onErrorContainer = Color(0xFFFFDAD6)
    override val background = Color(0xFF1A1C1E)
    override val onBackground = Color(0xFFE3E2E6)
    override val surface = Color(0xFF1A1C1E)
    override val onSurface = Color(0xFFE3E2E6)
    override val surfaceVariant = Color(0xFF282E35)
    override val onSurfaceVariant = Color(0xFFC3C6CF)
    override val outline = Color(0xFF8D9199)
    override val outlineVariant = Color(0xFF43474E)
    override val scrim = Color(0xFF000000)
    override val inverseSurface = Color(0xFFE3E2E6)
    override val inverseOnSurface = Color(0xFF1A1C1E)
    override val inversePrimary = Color(0xFF005FAD)
}
