/*  _____ _
 * |_   _| |_  _ _ ___ ___ _ __  __ _
 *   | | | ' \| '_/ -_) -_) '  \/ _` |_
 *   |_| |_||_|_| \___\___|_|_|_\__,_(_)
 *
 * Threema for Android
 * Copyright (c) 2024 Threema GmbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License, version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

package ch.threema.app.compose.theme.color

import androidx.compose.ui.graphics.Color

object ColorsDark : ComposeColorPaletteDark() {

    override val primary = Color(0xFF34C955)
    override val onPrimary = Color(0xFF003910)
    override val primaryContainer = Color(0xFF00531B)
    override val onPrimaryContainer = Color(0xFFA2EDA8)
    override val secondary = Color(0xFFB9CCB5)
    override val onSecondary = Color(0xFF243424)
    override val secondaryContainer = Color(0xFF444843)
    override val onSecondaryContainer = Color(0xFFDFE9DD)
    override val tertiary = Color(0xFFA1D1AB)
    override val onTertiary = Color(0xFF003C1A)
    override val tertiaryContainer = Color(0xFF1F4D53)
    override val onTertiaryContainer = Color(0xFFBCEBF2)
    override val error = Color(0xFFFFB4AB)
    override val onError = Color(0xFF690005)
    override val errorContainer = Color(0xFF93000A)
    override val onErrorContainer = Color(0xFFFFDAD6)
    override val background = Color(0xFF1A1C19)
    override val onBackground = Color(0xFFE2E3DD)
    override val surface = Color(0xFF1A1C19)
    override val onSurface = Color(0xFFE2E3DD)
    override val surfaceVariant = Color(0xFF203022)
    override val onSurfaceVariant = Color(0xFFC2C9BD)
    override val outline = Color(0xFF8C9389)
    override val outlineVariant = Color(0xFF424940)
    override val scrim = Color(0xFF000000)
    override val inverseSurface = Color(0xFFE2E3DD)
    override val inverseOnSurface = Color(0xFF1A1C19)
    override val inversePrimary = Color(0xFF006E26)
}
